GET /api/v3/objects/{lcuid}/scoped-tags¶
Summary¶
GET /objects/{lcuid}/scoped-tags
Description¶
List tags owned by this object
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags-
Array items:
objectType:objectProperties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)parent(object) Type:object
Properties:
name(string)lcuid(string)
Example Response¶
{
"success": true,
"id": "LCUID-LA-a84aba54-104d-4958-9940-597e115451c0",
"class": "App\\Account",
"tags": [
{
"name": "test1",
"description": "",
"created_at": "2026-01-07T00:15:36.000000Z",
"updated_at": "2026-01-07T00:15:36.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-4827c1ae-8bbb-4a06-9935-92fb7e3970a4",
"parent": {
"name": "Blue River Real Estate",
"lcuid": "LCUID-LA-a84aba54-104d-4958-9940-597e115451c0"
}
},
{
"name": "test2",
"description": "",
"created_at": "2026-01-07T00:15:36.000000Z",
"updated_at": "2026-01-07T00:15:36.000000Z",
"tag_slug": "test2",
"lcuid": "LCUID-LTAG-98cc1e90-6391-49e8-b6f5-63c65061c731",
"parent": {
"name": "Blue River Real Estate",
"lcuid": "LCUID-LA-a84aba54-104d-4958-9940-597e115451c0"
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()